import {Component, OnInit} from '@angular/core';
import {PiwikHelper} from '../../utils/piwikHelper';
import {ConnectHelper} from '../../openaireLibrary/connect/connectHelper';
import {properties} from "../../../environments/environment";

@Component({
  selector: 'openaire-software',
  template: `
    <result-landing type="software" [piwikSiteId]="piwikSiteId" [communityId]="communityId"></result-landing>
  `,
})
export class OpenaireSoftwareComponent implements OnInit {
  piwikSiteId;
  communityId;

  constructor() {
  }

  ngOnInit() {
    this.communityId = ConnectHelper.getCommunityFromDomain(properties.domain);
    this.piwikSiteId = PiwikHelper.getSiteId(this.communityId);
  }
}
